#ifndef EditData_included
#define EditData_included

#include <qcombo.h>
#include <qlabel.h>
#include <qlined.h>
#include <qpushbt.h>

class EditData
{
public:

    EditData
    (
        QWidget* parent
    );


    QLabel* adress;
    QLabel* annote;
    QLabel* author;
    QLabel* booktitle;
    QLabel* chapter;
    QLabel* crossreference;
    QLabel* edition;
    QLabel* editor;
    QLabel* howPublished;
    QLabel* institution;
    QLabel* journal;
    QLabel* key;
    QLabel* month;
    QLabel* note;
    QLabel* number;
    QLabel* organization;
    QLabel* pages;
    QLabel* publisher;
    QLabel* school;
    QLabel* series;
    QLabel* title;
    QLabel* type;
    QLabel* volume;
    QLabel* year;
    QPushButton* eokButton;
    QPushButton* nextButton;
    QPushButton* cancelButton;
    QPushButton* clearButton;
    QLineEdit* adressText;
    QLineEdit* annoteText;
    QLineEdit* authorText;
    QLineEdit* booktitleText;
    QLineEdit* chapterText;
    QLineEdit* crossreferenceText;
    QLineEdit* editionText;
    QLineEdit* editorText;
    QLineEdit* howPublishedText;
    QLineEdit* institutionText;
    QLineEdit* journalText;
    QLineEdit* keyText;
    QLineEdit* monthText;
    QLineEdit* noteText;
    QLineEdit* numberText;
    QLineEdit* organizationText;
    QLineEdit* pagesText;
    QLineEdit* publisherText;
    QLineEdit* schoolText;
    QLineEdit* seriesText;
    QLineEdit* titleText;
    QLineEdit* typeText;
    QLineEdit* volumeText;
    QLineEdit* yearText;
    QComboBox* refCombo;
    QLabel* requiredLabel;
    QLabel* optionalLabel;
    QLabel* id;
    QLineEdit* idText;
    QPushButton* prevButton;
    QPushButton* iokButton;

};

#endif // EditData_included
