/* MenuBarData.h
 *
 * Defines the dataclass for the menubar.
 */

#ifndef MENUBARDATA_H
#define MENUBARDATA_H

#include <qwidget.h>
#include <qpopmenu.h>
#include <keywords.h>

class MenuBarData
{
public:
    MenuBarData ();

    QPopupMenu *findId (int id);
    char *getText (int id);

    QPopupMenu *file;
    QPopupMenu *edit;
    QPopupMenu *option;
    QPopupMenu *tools;
    QPopupMenu *help;
    QPopupMenu *rec_ins;
    QPopupMenu *open;
};

#endif
