/*
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#ifndef PrintDlg_included
#define PrintDlg_included

#include <qdialog.h>

#include "PrintDlgData.h"
#include "barracuda.h"
#include "db.h"

class PrintDlg : public QDialog,
			private PrintDlgData
{
    Q_OBJECT

public:

    PrintDlg
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~PrintDlg();
    
    bool eShow (output_type_t *res, QString *name, bool *pRef, bool *pMacro);

public slots:
    void ok ();
    void cancel ();
    void print ();
    void tex ();
    void ps ();

private:
    void setAttributes ();

    output_type_t *res;
    QString *name;
    bool *pRef, *pMacro;
};
#endif // PrintDlg_included
