#ifndef SearchData_included
#define SearchData_included

#include <qchkbox.h>
#include <qlined.h>
#include <qpushbt.h>

class SearchData
{
public:

    SearchData
    (
        QWidget* parent
    );


    QLineEdit* address;
    QLineEdit* annote;
    QLineEdit* author;
    QLineEdit* booktitle;
    QLineEdit* chapter;
    QLineEdit* crossref;
    QLineEdit* edition;
    QLineEdit* editor;
    QLineEdit* howPublished;
    QLineEdit* id;
    QLineEdit* institution;
    QLineEdit* journal;
    QLineEdit* key;
    QLineEdit* month;
    QLineEdit* note;
    QLineEdit* number;
    QLineEdit* organization;
    QLineEdit* pages;
    QLineEdit* publisher;
    QLineEdit* school;
    QLineEdit* series;
    QLineEdit* title;
    QLineEdit* type;
    QLineEdit* volume;
    QLineEdit* year;
    QCheckBox* articleCheck;
    QCheckBox* inProceedingsCheck;
    QCheckBox* inCollectionCheck;
    QCheckBox* inBookCheck;
    QCheckBox* proceedingsCheck;
    QCheckBox* bookCheck;
    QCheckBox* bookletCheck;
    QCheckBox* phdThesisCheck;
    QCheckBox* mastersThesisCheck;
    QCheckBox* techReportCheck;
    QCheckBox* manualCheck;
    QCheckBox* unpublishedCheck;
    QCheckBox* miscCheck;
    QPushButton* searchBtn;
    QPushButton* cancelBtn;
    QPushButton* resetBtn;
    QPushButton* clearBtn;

};

#endif // SearchData_included
