/*
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#ifndef ViewTypes_included
#define ViewTypes_included

#include <qdialog.h>

#include "ViewTypesData.h"
#include "options.h"

class ViewTypes : public QDialog,
			private ViewTypesData
{
    Q_OBJECT

public:

    ViewTypes
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~ViewTypes();

    bool eShow (Options *o);

private:
    void setTypes ();

    QCheckBox *boxVect[LAST_FIELD - FIRST_FIELD + 2];
    Options *myopt;
private slots:
    void all ();
    void none ();
    void cancel ();
    void ok ();



};
#endif // ViewTypes_included
