
#include "EditData.h"


EditData::EditData
(
	QWidget* parent
)
{
	adress = new QLabel( parent, "Label_1" );
	adress->setGeometry( 20, 30, 100, 20 );
	adress->setText( "Address" );

	annote = new QLabel( parent, "Label_2" );
	annote->setGeometry( 20, 50, 100, 20 );
	annote->setText( "Annote" );

	author = new QLabel( parent, "Label_3" );
	author->setGeometry( 20, 70, 100, 20 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10526880) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10526880) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10526880) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		author->setPalette( palette );
	}
	author->setText( "Author" );

	booktitle = new QLabel( parent, "Label_4" );
	booktitle->setGeometry( 20, 90, 100, 20 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10526880) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10526880) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10526880) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		booktitle->setPalette( palette );
	}
	booktitle->setText( "Booktitle" );

	chapter = new QLabel( parent, "Label_6" );
	chapter->setGeometry( 20, 110, 100, 20 );
	chapter->setText( "Chapter" );

	crossreference = new QLabel( parent, "Label_7" );
	crossreference->setGeometry( 20, 130, 100, 20 );
	crossreference->setText( "Crossreference" );

	edition = new QLabel( parent, "Label_8" );
	edition->setGeometry( 20, 150, 100, 20 );
	edition->setText( "Edition" );

	editor = new QLabel( parent, "Label_9" );
	editor->setGeometry( 20, 170, 100, 20 );
	editor->setText( "Editor" );

	howPublished = new QLabel( parent, "Label_10" );
	howPublished->setGeometry( 20, 190, 100, 20 );
	howPublished->setText( "How published" );

	institution = new QLabel( parent, "Label_11" );
	institution->setGeometry( 20, 210, 100, 20 );
	institution->setText( "Institution" );

	journal = new QLabel( parent, "Label_12" );
	journal->setGeometry( 20, 230, 100, 20 );
	journal->setText( "Journal" );

	key = new QLabel( parent, "Label_13" );
	key->setGeometry( 20, 250, 100, 20 );
	key->setText( "Key" );

	month = new QLabel( parent, "Label_14" );
	month->setGeometry( 20, 270, 100, 20 );
	month->setText( "Month" );

	note = new QLabel( parent, "Label_15" );
	note->setGeometry( 20, 290, 100, 20 );
	note->setText( "Note" );

	number = new QLabel( parent, "Label_16" );
	number->setGeometry( 20, 310, 100, 20 );
	number->setText( "Number" );

	organization = new QLabel( parent, "Label_17" );
	organization->setGeometry( 20, 330, 100, 20 );
	organization->setText( "Organization" );

	pages = new QLabel( parent, "Label_18" );
	pages->setGeometry( 20, 350, 100, 20 );
	pages->setText( "Pages" );

	publisher = new QLabel( parent, "Label_19" );
	publisher->setGeometry( 20, 370, 100, 20 );
	publisher->setText( "Publisher" );

	school = new QLabel( parent, "Label_20" );
	school->setGeometry( 20, 390, 100, 20 );
	school->setText( "School" );

	series = new QLabel( parent, "Label_21" );
	series->setGeometry( 20, 410, 100, 20 );
	series->setText( "Series" );

	title = new QLabel( parent, "Label_22" );
	title->setGeometry( 20, 430, 100, 20 );
	title->setText( "Title" );

	type = new QLabel( parent, "Label_23" );
	type->setGeometry( 20, 450, 100, 20 );
	type->setText( "Type" );

	volume = new QLabel( parent, "Label_24" );
	volume->setGeometry( 20, 470, 100, 20 );
	volume->setText( "Volume" );

	year = new QLabel( parent, "Label_25" );
	year->setGeometry( 20, 490, 100, 20 );
	year->setText( "Year" );

	eokButton = new QPushButton( parent, "PushButton_5" );
	eokButton->setGeometry( 20, 560, 70, 30 );
	eokButton->setText( "OK" );

	nextButton = new QPushButton( parent, "PushButton_6" );
	nextButton->setGeometry( 150, 560, 30, 30 );
	nextButton->setText( ">" );

	cancelButton = new QPushButton( parent, "PushButton_7" );
	cancelButton->setGeometry( 360, 560, 70, 30 );
	cancelButton->setText( "Cancel" );

	clearButton = new QPushButton( parent, "PushButton_8" );
	clearButton->setGeometry( 440, 560, 70, 30 );
	clearButton->setText( "Clear" );

	adressText = new QLineEdit( parent, "LineEdit_1" );
	adressText->setGeometry( 120, 30, 390, 20 );
	adressText->setText( "" );

	annoteText = new QLineEdit( parent, "LineEdit_2" );
	annoteText->setGeometry( 120, 50, 390, 20 );
	annoteText->setText( "" );

	authorText = new QLineEdit( parent, "LineEdit_3" );
	authorText->setGeometry( 120, 70, 390, 20 );
	authorText->setText( "" );

	booktitleText = new QLineEdit( parent, "LineEdit_4" );
	booktitleText->setGeometry( 120, 90, 390, 20 );
	booktitleText->setText( "" );

	chapterText = new QLineEdit( parent, "LineEdit_5" );
	chapterText->setGeometry( 120, 110, 390, 20 );
	chapterText->setText( "" );

	crossreferenceText = new QLineEdit( parent, "LineEdit_6" );
	crossreferenceText->setGeometry( 120, 130, 390, 20 );
	crossreferenceText->setText( "" );

	editionText = new QLineEdit( parent, "LineEdit_7" );
	editionText->setGeometry( 120, 150, 390, 20 );
	editionText->setText( "" );

	editorText = new QLineEdit( parent, "LineEdit_8" );
	editorText->setGeometry( 120, 170, 390, 20 );
	editorText->setText( "" );

	howPublishedText = new QLineEdit( parent, "LineEdit_9" );
	howPublishedText->setGeometry( 120, 190, 390, 20 );
	howPublishedText->setText( "" );

	institutionText = new QLineEdit( parent, "LineEdit_10" );
	institutionText->setGeometry( 120, 210, 390, 20 );
	institutionText->setText( "" );

	journalText = new QLineEdit( parent, "LineEdit_11" );
	journalText->setGeometry( 120, 230, 390, 20 );
	journalText->setText( "" );

	keyText = new QLineEdit( parent, "LineEdit_12" );
	keyText->setGeometry( 120, 250, 390, 20 );
	keyText->setText( "" );

	monthText = new QLineEdit( parent, "LineEdit_13" );
	monthText->setGeometry( 120, 270, 390, 20 );
	monthText->setText( "" );

	noteText = new QLineEdit( parent, "LineEdit_14" );
	noteText->setGeometry( 120, 290, 390, 20 );
	noteText->setText( "" );

	numberText = new QLineEdit( parent, "LineEdit_15" );
	numberText->setGeometry( 120, 310, 390, 20 );
	numberText->setText( "" );

	organizationText = new QLineEdit( parent, "LineEdit_16" );
	organizationText->setGeometry( 120, 330, 390, 20 );
	organizationText->setText( "" );

	pagesText = new QLineEdit( parent, "LineEdit_17" );
	pagesText->setGeometry( 120, 350, 390, 20 );
	pagesText->setText( "" );

	publisherText = new QLineEdit( parent, "LineEdit_18" );
	publisherText->setGeometry( 120, 370, 390, 20 );
	publisherText->setText( "" );

	schoolText = new QLineEdit( parent, "LineEdit_19" );
	schoolText->setGeometry( 120, 390, 390, 20 );
	schoolText->setText( "" );

	seriesText = new QLineEdit( parent, "LineEdit_20" );
	seriesText->setGeometry( 120, 410, 390, 20 );
	seriesText->setText( "" );

	titleText = new QLineEdit( parent, "LineEdit_21" );
	titleText->setGeometry( 120, 430, 390, 20 );
	titleText->setText( "" );

	typeText = new QLineEdit( parent, "LineEdit_22" );
	typeText->setGeometry( 120, 450, 390, 20 );
	typeText->setText( "" );

	volumeText = new QLineEdit( parent, "LineEdit_23" );
	volumeText->setGeometry( 120, 470, 390, 20 );
	volumeText->setText( "" );

	yearText = new QLineEdit( parent, "LineEdit_24" );
	yearText->setGeometry( 120, 490, 390, 20 );
	yearText->setText( "" );

	refCombo = new QComboBox( parent, "ComboBox_1" );
	refCombo->setGeometry( 190, 560, 150, 30 );

	requiredLabel = new QLabel( parent, "Label_25" );
	requiredLabel->setGeometry( 20, 10, 110, 20 );
	requiredLabel->setText( "Required fields:" );

	optionalLabel = new QLabel( parent, "Label_26" );
	optionalLabel->setGeometry( 20, 520, 100, 20 );
	optionalLabel->setText( "Optional fields:" );

	id = new QLabel( parent, "Label_27" );
	id->setGeometry( 110, 520, 100, 20 );
	id->setText( "Id" );

	idText = new QLineEdit( parent, "LineEdit_25" );
	idText->setGeometry( 130, 520, 390, 20 );
	idText->setText( "" );

	prevButton = new QPushButton( parent, "PushButton_9" );
	prevButton->setGeometry( 110, 560, 30, 30 );
	prevButton->setText( "<" );

	iokButton = new QPushButton( parent, "PushButton_10" );
	iokButton->setGeometry( 20, 600, 70, 30 );
	iokButton->setText( "OK" );

	parent->resize( 530, 660 );
}
