#include "Startup.h"
#include <qpixmap.h>
#include <stdlib.h>

#define Inherited QWidget

Startup::Startup
(
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name ),
	StartupData( this )
{
    setCaption( "Barracuda" );
    
    t = new QTimer;
    connect (startImage, SIGNAL (clicked ()), this, SLOT (closeDown ()));
    connect (t, SIGNAL (timeout ()), this, SLOT (closeDown()));
}


Startup::~Startup()
{
    delete t;
}

void Startup::eShow ()
{
    QPixmap pm;
    QString path = getenv ("BARRACUDAHOME");
    QString def_path = BARRACUDA_PATH;
    QString filename ("/start.bmp");

    if (pm.load (path + "/bitmaps" + filename))
	startImage->setPixmap (pm);
    else if (pm.load (def_path + "/bitmaps" + filename))
	startImage->setPixmap (pm);

    t->start (5000, TRUE);
    show ();
}

void Startup::closeDown ()
{
    close ();
}
