/*
 * Barracuda 1.0.
 * Copyright (C) 1997 Magnus Christensson,
 *                    Stefan Cronert,
 *                    Stefan Hellkvist,
 *                    Magnus Ljung.
 *
 * Barracuda comes with ABSOLUTELY NO WARRANTY. For detailes see COPYING.
 */

#ifndef Keybindings_included
#define Keybindings_included

#include <qdialog.h>
#include <options.h>
#include <qstring.h>
#include <Record.h>
#include "KeybindingsData.h"

class Keybindings : public QDialog,
			private KeybindingsData
{
    Q_OBJECT

public:

    Keybindings
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~Keybindings();
    bool eShow(Options *o);

public slots:
    void comboBoxClicked(int);
    void cancel();
    void ok();
    void rec ();
    void editChanged();
    void whenChanged(const char*);


private:
    Record *recDlg;
    Options *myopt, *oldopt;
    bool editChanged_;
    int indexThatChanged_;
    QString oldText;
};
#endif // Keybindings_included













